Book_1_Chapter_10_Into_the_Barrow_Downs = class(Window);

function Book_1_Chapter_10_Into_the_Barrow_Downs: GetName()
	return "Book 1, Chapter 10: Into the Barrow-Downs";
end

function Book_1_Chapter_10_Into_the_Barrow_Downs: IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_10_Into_the_Barrow_Downs: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Capítulo 10: Entrando Nos Túmulos"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Tom Bombadil-32,6S, 57,3W-Tom Bombadil's House-Old Forest");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n“Pássaros negros esvoaçavam e esvoaçavam, pulando entre os galhos. Eles vieram para descansar onde os inquietos caminham. Cuidado com os velhos carrinhos de mão, eles se mexem quando deveriam estar dormindo!\n\n— Vá para o norte pelo caminho e siga pela Old Barrows Road, depois para o sul dentro da parede dos túmulos ao longo do beiral da floresta. Oi docinho! Feliz docinho! E lá você vai encontrá-los! Preste atenção para a senhora triste.\n\n'Agora pule junto, meu coração! Tom está pulando!");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nTom Bombadil ficou satisfeito com os lírios que você encontrou para Goldberry e lhe disse onde o crebain que você estava procurando pode ser encontrado. Ele também lhe disse que uma mulher estava lá esperando.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1-Encontre e derrote o Crebain e seu Mestre\nOs Barrow-downs são alcançados indo para o norte e leste ao longo da Old Barrows Road. O crebain parou para se empoleirar nas árvores dentro de Barrow-downs, ao sul ao longo da crista, acima dos beirais da floresta.\n\nTom Bombadil encontrou o crebain dentro dos Barrow-downs, mas também mencionou a presença de uma mulher. Você deve ficar em guarda.\n\nTom Bombadil : 'Ei, boneca! Feliz docinho! Você não vai caçar? Ou prefere ficar um pouco e cantar ou talvez dançar?\nAndraste diz : 'Tolo! Você achou que meus animais de estimação não iriam saber que o Anel agora viaja para o leste nas mãos de um hobbit chamado Frodo Bolseiro?'\nAndraste diz : 'Você falhou completamente! Quando o mestre dos Nove retornar, ele saberá disso - e de sua morte prematura!'\nAndraste diz : 'Agora, venham meus bichinhos!'\nAndraste diz : 'Não... Meus lindos pássaros! Vocês vão morrer por isso!'\nVocê derrotou Andraste!\n\n2-Fale com Tom Bombadil\nA Old Barrows Road fica ao norte do bosque de Andraste. A casa de Tom Bombadil fica a oeste e sul ao longo da Old Barrows Road.\n\nAndraste revelou que o Senhor dos Nazgûl tinha ido para um lugar chamado Othrongroth, mas você não pôde saber mais nada antes de sua morte. Tom Bombadil é o Mestre da Floresta e dos Túmulos. Ele pode saber onde Othrongroth está.\n\nTom Bombadil : 'Olá! Ficar um pouco! Ou você ainda está com pressa?\n— Othrongroth, você diz? É um lugar escuro, cheio de criaturas das trevas, e você não precisa ir.\n— Se você deve, você deve, e eu não vou ficar com você. Muito bem, aproxime-se e eu lhe direi.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVá para o nordeste em Northern Barrow-downs . [32,7S, 55,8W]\nDerrote o crebain.\nDerrote Andraste .\nRetorne a Tom Bombadil .");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText(" Redigido pelo Dastan e patrocinado pelo Hallarthil");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_1_Chapter_10_Into_the_Barrow_Downs:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_1_Chapter_10_Into_the_Barrow_Downs()); 